package cn.com.infosec.asn1.cmp;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;

public class PKIMessages extends ASN1Encodable {
   private ASN1Sequence content;

   private PKIMessages(ASN1Sequence seq) {
      this.content = seq;
   }

   public static PKIMessages getInstance(Object o) {
      if (o instanceof PKIMessages) {
         return (PKIMessages)o;
      } else if (o instanceof ASN1Sequence) {
         return new PKIMessages((ASN1Sequence)o);
      } else {
         throw new IllegalArgumentException("Invalid object: " + o.getClass().getName());
      }
   }

   public PKIMessage[] toPKIMessageArray() {
      int var1;
      PKIMessage[] var2 = new PKIMessage[var1 = this.content.size()];

      for(int var3 = 0; var3 != var1; ++var3) {
         var2[var3] = PKIMessage.getInstance(this.content.getObjectAt(var3));
      }

      return var2;
   }

   public DERObject toASN1Object() {
      return this.content;
   }
}
